<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/1_Core/script.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/da1/script_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">script.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/da1/script_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">//some example &quot;reference&quot; variables for use in material editor</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno"><a class="line" href="../../d4/da1/script_8c.html#ad027204804963d19e8e6ce9aa3f1bda4">    2</a></span>reference <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/da1/script_8c.html#ad027204804963d19e8e6ce9aa3f1bda4">g_testVariable1</a>;</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/da1/script_8c.html#acc008d4b078fd8843067ad3b522297b8">    3</a></span>reference <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/da1/script_8c.html#acc008d4b078fd8843067ad3b522297b8">g_testVariable2</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d4/da1/script_8c.html#a35f05dcf6fef4bb08cad84332188e9b7">    4</a></span>reference <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d4/da1/script_8c.html#a35f05dcf6fef4bb08cad84332188e9b7">g_testVariable3</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d2/d74/class_test_class.html">    6</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/d74/class_test_class.html">TestClass</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    <span class="comment">//some example &quot;reference&quot; variables for use in material editor</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d2/d74/class_test_class.html#af0c35b52fbdedfd25b3536027f899ec7">    9</a></span>    reference <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d74/class_test_class.html#af0c35b52fbdedfd25b3536027f899ec7">testVar1</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d2/d74/class_test_class.html#a0197a15e93da8b0ac7224c4e5d592821">   10</a></span>    reference <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d74/class_test_class.html#a0197a15e93da8b0ac7224c4e5d592821">testVar2</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d2/d74/class_test_class.html#a65a67fd2ccaea7b3f22813b26bd8328a">   11</a></span>    reference <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d2/d74/class_test_class.html#a65a67fd2ccaea7b3f22813b26bd8328a">testVar3</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>}</div>
<div class="ttc" id="aclass_test_class_html"><div class="ttname"><a href="../../d2/d74/class_test_class.html">TestClass</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da1/script_8c_source.html#l00006">script.c:7</a></div></div>
<div class="ttc" id="aclass_test_class_html_a0197a15e93da8b0ac7224c4e5d592821"><div class="ttname"><a href="../../d2/d74/class_test_class.html#a0197a15e93da8b0ac7224c4e5d592821">TestClass::testVar2</a></div><div class="ttdeci">reference float testVar2</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da1/script_8c_source.html#l00010">script.c:10</a></div></div>
<div class="ttc" id="aclass_test_class_html_a65a67fd2ccaea7b3f22813b26bd8328a"><div class="ttname"><a href="../../d2/d74/class_test_class.html#a65a67fd2ccaea7b3f22813b26bd8328a">TestClass::testVar3</a></div><div class="ttdeci">reference float testVar3</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da1/script_8c_source.html#l00011">script.c:11</a></div></div>
<div class="ttc" id="aclass_test_class_html_af0c35b52fbdedfd25b3536027f899ec7"><div class="ttname"><a href="../../d2/d74/class_test_class.html#af0c35b52fbdedfd25b3536027f899ec7">TestClass::testVar1</a></div><div class="ttdeci">reference float testVar1</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da1/script_8c_source.html#l00009">script.c:9</a></div></div>
<div class="ttc" id="ascript_8c_html_a35f05dcf6fef4bb08cad84332188e9b7"><div class="ttname"><a href="../../d4/da1/script_8c.html#a35f05dcf6fef4bb08cad84332188e9b7">g_testVariable3</a></div><div class="ttdeci">reference float g_testVariable3</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da1/script_8c_source.html#l00004">script.c:4</a></div></div>
<div class="ttc" id="ascript_8c_html_acc008d4b078fd8843067ad3b522297b8"><div class="ttname"><a href="../../d4/da1/script_8c.html#acc008d4b078fd8843067ad3b522297b8">g_testVariable2</a></div><div class="ttdeci">reference float g_testVariable2</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da1/script_8c_source.html#l00003">script.c:3</a></div></div>
<div class="ttc" id="ascript_8c_html_ad027204804963d19e8e6ce9aa3f1bda4"><div class="ttname"><a href="../../d4/da1/script_8c.html#ad027204804963d19e8e6ce9aa3f1bda4">g_testVariable1</a></div><div class="ttdeci">reference float g_testVariable1</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/da1/script_8c_source.html#l00002">script.c:2</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_8458acb75977370f2590729f022fcd01.html">1_Core</a></li><li class="navelem"><a class="el" href="../../d4/da1/script_8c.html">script.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
